Subject: [bug#54780] [PATCH] gnu: lttng-ust: Fix dependencies.

From: Olivier Dion <[email-masked]>
Date: Sat, 09 Apr 2022 12:34:45 -0400

On Sat, 09 Apr 2022, Maxime Devos <[email-masked]> wrote:
> Olivier Dion schreef op za 09-04-2022 om 10:40 [-0400]:
>> On Sat, 09 Apr 2022, Maxime Devos <[email-masked]> wrote:
>     As such, foo.c would end up with the _old_ <linux/stuff.h>, even though
>     it needed the new stuff (new structs or such).  By not absolutising the
>     <linux/...>, the compiler will just look for <linux/...> in C_INCLUDE_PATH,
>     and find the linux-libre-headers from lttng-ust's inputs.
>
>     So I'm a bit hesitant to including linux-libre-headers.

Following your example, I now think it's best to not include the linux
headers in that case.  Time will tell if there's some very specific case
where the opposite is true.  I'll post a v3 with your proposed changes.

-- 
Olivier Dion
oldiob.dev